# Class Coord

java.lang.Object
com.codename1.maps.Coord

Direct Known Subclasses:
  `PointLayer`

public class Coord extends Object
This class declares a coordinate point on a map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Coord(double latitude, double longitude)`
  Creates a isProjected Coord
  `Coord(double latitude, double longitude, boolean projected)`
  a Constructor with getLatitude, getLongitude
  `Coord(Coord toClone)`
  Copy Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  Indicates whether some other object is "equal to" this one.
  `double`
  `getLatitude()`
  Gets the Coord Latitude
  `double`
  `getLongitude()`
  Gets the Coord Longitude.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final boolean`
  `isProjected()`
  Returns true if this is a projected Coordinate
  `void`
  `setLatitude(double latitude)`
  Sets the Coord Latitude.
  `void`
  `setLongitude(double longitude)`
  Sets the Coord Longitude.
  `void`
  `setProjected(boolean projected)`
  Sets Coord projected
  `String`
  `toString()`
  Returns a string representation of the object.
  `Coord`
  `translate(double latitude, double longitude)`
  Create a new Coord object which is translated with the given coordinates
  `Coord`
  `translate(Coord coordinates)`
  Create a new Coord object which is translated with the given coordinates

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Coord

    public Coord(double latitude, double longitude)

    Creates a isProjected Coord

    ###### Parameters

    - `latitude`: the getLatitude of this Coordinate

    - `longitude`: the getLongitude of this Coordinate

  - ### Coord

    public Coord(double latitude, double longitude, boolean projected)

    a Constructor with getLatitude, getLongitude

    ###### Parameters

    - `latitude`: the Coordinate getLatitude

    - `longitude`: the Coordinate getLongitude

    - `projected`: declares if this is a isProjected Coordinate

  - ### Coord

    public Coord(Coord toClone)

    Copy Constructor

    ###### Parameters

    - `toClone`: to copy

- ## Method Details

  - ### getLongitude

    public double getLongitude()

    Gets the Coord Longitude.

    ###### Returns

    the Coord Longitude

  - ### setLongitude

    public void setLongitude(double longitude)
    Sets the Coord Longitude.

  - ### getLatitude

    public double getLatitude()

    Gets the Coord Latitude

    ###### Returns

    the Coord Latitude

  - ### setLatitude

    public void setLatitude(double latitude)
    Sets the Coord Latitude.

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### translate

    public Coord translate(double latitude, double longitude)

    Create a new Coord object which is translated with the given coordinates

    ###### Parameters

    - `latitude`: translate current latitude with this latitude

    - `longitude`: translate current longitude with this longitude

    ###### Returns

    a new translated Coord object

  - ### translate

    public Coord translate(Coord coordinates)

    Create a new Coord object which is translated with the given coordinates

    ###### Parameters

    - `coordinates`: translate current Coord with the given coordinates

    ###### Returns

    a new translated Coord object

  - ### equals

    public boolean equals(Object other)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### isProjected

    public final boolean isProjected()

    Returns true if this is a projected Coordinate

    ###### Returns

    true if projected

  - ### setProjected

    public void setProjected(boolean projected)

    Sets Coord projected

    ###### Parameters

    - `projected`: flag